# Generated by Django 2.1.3 on 2019-04-17 10:32

import django.contrib.postgres.fields.jsonb
import django.db.models.deletion
from django.db import (
    migrations,
    models,
)


class Migration(migrations.Migration):

    dependencies = [
        ("panels", "0069_auto_20190109_1428"),
    ]

    operations = [
        migrations.CreateModel(
            name="HistoricalSnapshot",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("major_version", models.IntegerField(db_index=True, default=0)),
                ("minor_version", models.IntegerField(db_index=True, default=0)),
                ("reason", models.CharField(max_length=100, null=True)),
                ("schema_version", models.CharField(max_length=100)),
                ("data", django.contrib.postgres.fields.jsonb.JSONField()),
                (
                    "panel",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        to="panels.GenePanel",
                    ),
                ),
            ],
        ),
    ]
